> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shard Block Proof

> Get merkle proof of shardchain block.



## OpenAPI

````yaml get /getShardBlockProof
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /getShardBlockProof:
    get:
      tags:
        - blocks
      summary: Get Shard Block Proof
      description: Get merkle proof of shardchain block.
      operationId: get_shard_block_proof_getShardBlockProof_get
      parameters:
        - description: Block workchain id
          required: true
          schema:
            type: integer
            title: Workchain
            description: Block workchain id
          name: workchain
          in: query
        - description: Block shard id
          required: true
          schema:
            type: integer
            title: Shard
            description: Block shard id
          name: shard
          in: query
        - description: Block seqno
          required: true
          schema:
            type: integer
            title: Seqno
            description: Block seqno
          name: seqno
          in: query
        - description: >-
            Seqno of masterchain block starting from which proof is required. If
            not specified latest masterchain block is used.
          required: false
          schema:
            type: integer
            title: From Seqno
            description: >-
              Seqno of masterchain block starting from which proof is required.
              If not specified latest masterchain block is used.
          name: from_seqno
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetShardBlockProofResponse'
              examples:
                sample:
                  summary: Shard block proof example
                  value:
                    ok: true
                    result:
                      '@type': blocks.shardBlockProof
                      from:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '-9223372036854775808'
                        seqno: 51148869
                        root_hash: HxogBiV2YA+KrC9cJa5llfvDGNk2hwCqsaCSYo40V00=
                        file_hash: h7LOaX0cTqc8qKecsNYi32SVu0McCito3P2qzynvdqk=
                      mc_id:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '-9223372036854775808'
                        seqno: 51148869
                        root_hash: HxogBiV2YA+KrC9cJa5llfvDGNk2hwCqsaCSYo40V00=
                        file_hash: h7LOaX0cTqc8qKecsNYi32SVu0McCito3P2qzynvdqk=
                      links: []
                      mc_proof: []
                      '@extra': 1755813789.6827312:12:0.9450183392434569
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    GetShardBlockProofResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/BlocksShardBlockProof'
              description: Proof of inclusion of a shard block in the masterchain.
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    BlocksShardBlockProof:
      type: object
      description: Proof of inclusion of a shard block in the masterchain.
      properties:
        '@type':
          type: string
          example: blocks.shardBlockProof
        from:
          $ref: '#/components/schemas/TonBlockIdExt'
        mc_id:
          $ref: '#/components/schemas/TonBlockIdExt'
        links:
          type: array
          items:
            type: object
        mc_proof:
          type: array
          items:
            type: object
        '@extra':
          type: string
      required:
        - from
        - mc_id
    TonBlockIdExt:
      type: object
      properties:
        '@type':
          type: string
          example: ton.blockIdExt
        workchain:
          type: integer
        shard:
          type: string
          description: 64-bit signed integer as string
        seqno:
          type: integer
        root_hash:
          type: string
        file_hash:
          type: string
      required:
        - workchain
        - shard
        - seqno
        - root_hash
        - file_hash
      description: Extended block identifier.

````